﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Glass
{
    public partial class UserControl2 : UserControl
    {
        public MainWindow UC2;
        public UserControl2()
        {
            InitializeComponent();
        }

        public void SetUC2()
        {

            int N = Convert.ToInt32(UC2.TextBox2.Text);
            dataGridView1.RowCount = N + 2;

            int i;


            for (i = 0; i < N; i++) { dataGridView1.Rows[ i].Cells[0].Value = Convert.ToString(i+1); }
        }

        private void dataGridView1_KeyDown(object sender, KeyEventArgs e)
        {
            var k = e.KeyCode;
            if (k == Keys.F1)//コピー
            {
                var cc = dataGridView1.CurrentCellAddress;
                if (dataGridView1.Rows[cc.Y].Cells[cc.X].Value != null)
                {
                    System.Windows.Forms.Clipboard.SetDataObject(new DataObject(dataGridView1.Rows[cc.Y].Cells[cc.X].Value));
                }
            }

            if (k == Keys.F2)//ペースト
            {
                var cc = dataGridView1.CurrentCellAddress;
                var objData = System.Windows.Forms.Clipboard.GetDataObject();

                if (objData.GetDataPresent(DataFormats.StringFormat))
                {
                    String str = (String)objData.GetData(DataFormats.StringFormat);
                    if (str != "dataGridView1.Rows[cc.Y].Cells[cc.X].Value")
                    {
                        dataGridView1.Rows[cc.Y].Cells[cc.X].Value = str;
                    }
                }
            }

            if (k == Keys.F3)//クリア
            {
                var cc = dataGridView1.CurrentCellAddress;
                dataGridView1.Rows[cc.Y].Cells[cc.X].Value = "";
            }
        }

        private void dataGridView1_CellBeginEdit(object sender, DataGridViewCellCancelEventArgs e)
        {
            UC2.BEdit2 = true;
        }

        private void dataGridView1_CellEndEdit(object sender, DataGridViewCellEventArgs e)
        {
            UC2.BEdit2 = false;
        }
    }
}
