﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Glass
{
    public partial class UserControl1 : UserControl
    {
        public MainWindow UC;

        public UserControl1()
        {
            InitializeComponent();
        }

        public void SetUC()
        {

            int Nm = Convert.ToInt32(UC.TextBox1.Text);
            dataGridView1.RowCount = Nm + 3;
            dataGridView1.Rows[0].Cells[0].Value = "j";
            dataGridView1.Rows[0].Cells[1].Value = "Gn";
            dataGridView1.Rows[0].Cells[2].Value = "aR0[j]";

            dataGridView1.Rows[1].Cells[0].Value = "整数";
            dataGridView1.Rows[1].Cells[1].Value = "整数";
            dataGridView1.Rows[1].Cells[2].Value = "1/mm";


            int i;
            for (i = 0; i < Nm; i++) { dataGridView1.Rows[2 + i].Cells[0].Value = Convert.ToString(i+1); }
        }



        private void dataGridView1_KeyDown(object sender, KeyEventArgs e)
        {
            var k = e.KeyCode;
            if (k == Keys.F1)//コピー
            {
                var cc = dataGridView1.CurrentCellAddress;
                if (dataGridView1.Rows[cc.Y].Cells[cc.X].Value != null)
                {
                    System.Windows.Forms.Clipboard.SetDataObject(new DataObject(dataGridView1.Rows[cc.Y].Cells[cc.X].Value));
                }
            }

            if (k == Keys.F2)//ペースト
            {
                var cc = dataGridView1.CurrentCellAddress;
                var objData = System.Windows.Forms.Clipboard.GetDataObject();

                if (objData.GetDataPresent(DataFormats.StringFormat))
                {
                    String str = (String)objData.GetData(DataFormats.StringFormat);
                    if (str != "dataGridView1.Rows[cc.Y].Cells[cc.X].Value")
                    {
                        dataGridView1.Rows[cc.Y].Cells[cc.X].Value = str;
                    }
                }
            }

            if (k == Keys.F3)//クリア
            {
                var cc = dataGridView1.CurrentCellAddress;
                dataGridView1.Rows[cc.Y].Cells[cc.X].Value = "";
            }
        }

        private void dataGridView1_CellBeginEdit(object sender, DataGridViewCellCancelEventArgs e)
        {
            UC.BEdit1 = true;
        }

        private void dataGridView1_CellEndEdit(object sender, DataGridViewCellEventArgs e)
        {
            UC.BEdit1 = false;
        }
    }
}
